Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.config.localsearch.termination
Enum TerminationConfig.TerminationCompositionStyle

    java.lang.Object
      java.lang.Enum<TerminationConfig.TerminationCompositionStyle>
          org.drools.planner.config.localsearch.termination.TerminationConfig.TerminationCompositionStyle

All Implemented Interfaces:
  Serializable, Comparable<TerminationConfig.TerminationCompositionStyle>

Enclosing class:
  TerminationConfig

    public static enum TerminationConfig.TerminationCompositionStyle

extends Enum<TerminationConfig.TerminationCompositionStyle>

Enum Constant Summary
`AND`
`OR`

Method Summary
`static TerminationConfig.TerminationCompositionStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TerminationConfig.TerminationCompositionStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final TerminationConfig.TerminationCompositionStyle AND

### OR

    public static final TerminationConfig.TerminationCompositionStyle OR

Method Detail

### values

    public static TerminationConfig.TerminationCompositionStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TerminationConfig.TerminationCompositionStyle c : TerminationConfig.TerminationCompositionStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TerminationConfig.TerminationCompositionStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.